---
search:
  tags:
    - Variants
    - GET
seo:
  description: >-
    Returns variants for a product. Reference for the GET
    /products/{product_id}/variants endpoint in the Bolder API v2.
sidebar:
  label: List variants
  badge: GET
title: List variants
type: openapi-operation
---
Returns variants for a product.

`GET /products/{product_id}/variants`

**cURL**

```bash
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/products/101/variants"
```

**Responses**

- `200` — Paginated variants list

Response example, 200:

```json
{
  "_class": [
    "results",
    "variants"
  ],
  "total_items": 3,
  "per_page": 20,
  "page": 1,
  "_embedded": {
    "items": [
      {
        "id": 201,
        "product_id": 101,
        "name": "Small",
        "sku": "WH-001-S",
        "option1": "Small",
        "currency_code": "USD",
        "regular_price": 8999,
        "price": 8999,
        "online_stock": 10
      }
    ]
  }
}
```
